> For a complete documentation index, fetch https://docs.voximplant.ai/llms.txt # GetApplications POST https://api.voximplant.com/platform_api/GetApplications Gets the account's applications. Allowed roles: `Owner`, `Admin`, `Developer`, `Supervisor`, `Call list manager`, `User manager`, `Accountant`, `Support`. **Example request:** Get two applications, but skip the first one. Reference: https://docs.voximplant.ai/api-reference/management-api/reference/applications/get-applications ## Authentication - `Authorization` header (bearer token, required) — Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the `Authorization` header as a Bearer value: ``` Authorization: Bearer $VOXIMPLANT_TOKEN ``` See [Authorization](/api-reference/management-api/authorization) for ready-to-copy snippets in bash, Python, Node.js and Go that turn your `credentials.json` into a token. ## Request ### Query parameters - `application_id` (integer, optional) — The application ID to filter - `application_name` (string, optional) — The application name part to filter - `with_rules` (boolean, optional, default: false) — Whether to get bound rules info - `with_scenarios` (boolean, optional, default: false) — Whether to get bound rules and scenarios info - `count` (integer, optional, default: 20) — The max returning record count - `offset` (integer, optional, default: 0) — The first **N** records are skipped in the output ## Response ### 200 Successful response - `result` (list of ApplicationInfoType, optional) - `total_count` (integer, optional) — The total found application count - `count` (integer, optional) — The returned application count ## Types ### ApplicationInfoType The [GetApplications] function result. - `application_id` (integer, optional) — The application ID - `application_name` (string, optional) — The full application name - `modified` (string, optional) — Timestamp in YYYY-MM-DD HH:mm:ss format. The application editing UTC date in 24-h format: YYYY-MM-DD HH:mm:ss - `secure_record_storage` (boolean, optional) — Whether a secure storage for logs and records is enabled ## Examples **Response** ```json { "result": [ { "application_id": 2, "application_name": "myapp2.test.voximplant.com", "modified": "2013-09-09 14:12:12" }, { "application_id": 3, "application_name": "myapp3.test.voximplant.com", "modified": "2013-09-09 14:12:46" } ], "total_count": 17, "count": 2 } ``` **SDK Code** ```python Example 1 import requests url = "https://api.voximplant.com/platform_api/GetApplications" headers = {"Authorization": "Bearer "} response = requests.post(url, headers=headers) print(response.json()) ``` ```javascript Example 1 const url = 'https://api.voximplant.com/platform_api/GetApplications'; const options = {method: 'POST', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Example 1 package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.voximplant.com/platform_api/GetApplications" req, _ := http.NewRequest("POST", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Example 1 require 'uri' require 'net/http' url = URI("https://api.voximplant.com/platform_api/GetApplications") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java Example 1 import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.voximplant.com/platform_api/GetApplications") .header("Authorization", "Bearer ") .asString(); ``` ```php Example 1 request('POST', 'https://api.voximplant.com/platform_api/GetApplications', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp Example 1 using RestSharp; var client = new RestClient("https://api.voximplant.com/platform_api/GetApplications"); var request = new RestRequest(Method.POST); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift Example 1 import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://api.voximplant.com/platform_api/GetApplications")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```